gnutls_heartbeat_allowed(3)

NAME
gnutls_heartbeat_allowed - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned gnutls_heartbeat_allowed(gnutls_session_t session, unsigned int type);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

unsigned int type
    one of GNUTLS_HB_LOCAL_ALLOWED_TO_SEND and GNUTLS_HB_PEER_ALLOWED_TO_SEND

DESCRIPTION
This function will check whether heartbeats are allowed to be sent or received in this session.

RETURNS
Non zero if heartbeats are allowed.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/